.comments-area {
	margin: 1em 0;
}

.comment-respond {
	margin-top: 1em;
}

.comment-reply-title {
	@mixin h3;

	display: flex;
	align-items: center;
	margin-bottom: 0.5em;

	& #cancel-comment-reply-link {
		padding-left: 10px;
		font-weight: var(--font-normal);

		&:hover {
			text-decoration: underline;
		}
	}
}

.comment-notes {
	margin-top: 0.5em;
	color: var(--dark);
	opacity: 0.9;
}

.comment-form-rating {
	display: flex;
	align-items: center;
	margin-top: 0.5em;

	& label {
		display: block;
		margin: 0;
		font-weight: var(--font-bold);
	}

	& .stars {
		position: relative;
		display: flex;
		margin: 0 0 0 0.5em;
		padding: 0.5em 0.75em;
		border: 1px solid var(--border);
		border-radius: var(--border-radius);

		& span {
			display: flex;
		}

		& a {
			position: relative;
			width: 20px;
			height: 20px;
			text-indent: -999em;
			display: inline-block;
			font-size: 1.25rem;
			text-decoration: none;
			box-shadow: none;

			&::before {
				display: block;
				position: absolute;
				top: 0;
				left: 0;
				width: 20px;
				height: 20px;
				line-height: 1;
				font-family: WooCommerce, sans-serif;
				content: '';
				background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath fill='%23ffc107' d='M23.4 8.6L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4l-7.4 1c-.6.2-.8 1-.4 1.3l5.4 5.5-1.3 7.8c0 .6.6 1 1.1.8l6.6-3.7 6.6 3.7a.8.8 0 001-.8l-1.2-7.8 5.4-5.4a.8.8 0 00-.4-1.3z'/%3E%3C/svg%3E");
				background-repeat: space;
			}

			&:hover {
				& ~ a::before {
					background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath xmlns='http://www.w3.org/2000/svg' fill='%23d5d5d5' d='M23.4 8.6L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4l-7.4 1c-.6.2-.8 1-.4 1.3l5.4 5.5-1.3 7.8c0 .6.6 1 1.1.8l6.6-3.7 6.6 3.7a.8.8 0 001-.8l-1.2-7.8 5.4-5.4a.8.8 0 00-.4-1.3z' data-original='%23ffc107'/%3E%3C/svg%3E");
					background-repeat: space;
				}
			}
		}

		&.selected {
			& a.active {
				&::before {
					content: '';
					background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath fill='%23ffc107' d='M23.4 8.6L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4l-7.4 1c-.6.2-.8 1-.4 1.3l5.4 5.5-1.3 7.8c0 .6.6 1 1.1.8l6.6-3.7 6.6 3.7a.8.8 0 001-.8l-1.2-7.8 5.4-5.4a.8.8 0 00-.4-1.3z'/%3E%3C/svg%3E");
				}

				& ~ a::before {
					content: '';
					background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath xmlns='http://www.w3.org/2000/svg' fill='%23d5d5d5' d='M23.4 8.6L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4l-7.4 1c-.6.2-.8 1-.4 1.3l5.4 5.5-1.3 7.8c0 .6.6 1 1.1.8l6.6-3.7 6.6 3.7a.8.8 0 001-.8l-1.2-7.8 5.4-5.4a.8.8 0 00-.4-1.3z' data-original='%23ffc107'/%3E%3C/svg%3E");
				}
			}

			& a:not(.active)::before {
				content: '';
				background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath fill='%23ffc107' d='M23.4 8.6L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4l-7.4 1c-.6.2-.8 1-.4 1.3l5.4 5.5-1.3 7.8c0 .6.6 1 1.1.8l6.6-3.7 6.6 3.7a.8.8 0 001-.8l-1.2-7.8 5.4-5.4a.8.8 0 00-.4-1.3z'/%3E%3C/svg%3E");
			}
		}
	}
}

p.comment-form-title,
p.comment-form-author,
p.comment-form-email,
p.comment-form-url,
p.comment-form-comment {
	margin-top: 0.5em;

	& label {
		display: block;
		margin-bottom: 0.25em;
		font-weight: var(--font-bold);
	}
}

.comment-form-title,
.comment-form-author,
.comment-form-email,
.comment-form-url {
	& input {
		@mixin input-field;

		width: 100%;
	}
}

.comment-form-comment {
	& textarea {
		@mixin input-field;

		width: 100%;
		min-height: 150px;
	}
}

.comment-form-cookies-consent {
	display: flex;
	margin-top: 0.5em;

	& input {
		margin-top: 0.5em;
	}

	& label {
		padding-left: 0.5em;
		color: var(--dark);
		opacity: 0.75;
	}
}

.comment-text .description,
.comment-content {
	@mixin wysiwyg;

	& > *:first-child {
		margin-top: 0;
	}

	& .review_title {
		padding-bottom: 0;
	}
}

.comment-form .logged-in-as {
	& a:last-child {
		text-decoration: underline;
	}
}

.comment-form .form-submit {
	margin-top: 1em;

	& input[type='submit'] {
		@mixin button-default;
		@mixin button-normal;
		@mixin button-style-primary;
	}
}

ol.comment-list,
ol.commentlist {
	@mixin list-reset;

	& li {
		margin-top: 1em;

		&:first-child {
			margin-top: 0;
		}
	}

	& ol {
		@mixin list-reset;

		margin-left: 20px;
	}
}

/** WooCommerce Reviews **/
ol.commentlist {
	margin-top: 1em;

	& .comment_container {
		display: flex;
		flex-wrap: wrap;
		align-items: flex-start;
		padding: 20px;
		border: 1px solid var(--border);
		border-radius: var(--border-radius);
		c & .comment-text {
			flex: 1 1 auto;
			width: 100%;

			@media (--sm) {
				flex: 1 1 0;
				width: calc(100% - 60px);
				padding-left: 1em;
			}
		}

		& .meta {
			margin-top: 0.25em;

			& .woocommerce-review__published-date {
				opacity: 0.75;
			}
		}

		& .star-rating {
			overflow: hidden;
			position: relative;
			line-height: 1;
			font-size: 1em;
			width: 100px;
			height: 20px;
			background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath xmlns='http://www.w3.org/2000/svg' fill='%23b3b3b3' d='M5.6 15.4L4.3 23a.8.8 0 001.1.8l6.6-3.6 6.6 3.6a.8.8 0 00.8 0c.2-.2.3-.5.3-.8l-1.3-7.7 5.4-5.5a.8.8 0 00-.4-1.3L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4.6 8.6a.7.7 0 00-.4 1.3zm3-6.5c.3 0 .5-.2.6-.4l2.8-6 2.8 6c.1.2.3.4.6.4l6.3 1-4.6 4.7c-.2.2-.3.4-.2.6l1 6.6-5.5-3a.8.8 0 00-.8 0l-5.6 3 1.1-6.6c0-.2 0-.4-.2-.6L2.3 9.9z' data-original='%23000000'/%3E%3C/svg%3E");
			margin-bottom: 0;

			& span {
				top: 0;
				left: 0;
				position: absolute;
				height: 20px;
				background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath fill='%23ffc107' d='M23.4 8.6L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4l-7.4 1c-.6.2-.8 1-.4 1.3l5.4 5.5-1.3 7.8c0 .6.6 1 1.1.8l6.6-3.7 6.6 3.7a.8.8 0 001-.8l-1.2-7.8 5.4-5.4a.8.8 0 00-.4-1.3z'/%3E%3C/svg%3E");
				font-size: 0;
			}
		}
	}

	& .avatar {
		width: 60px;
		display: inline-flex;
		border-radius: 50%;
	}

	& .comment-text {
		padding-left: 20px;
	}
}

/** Non-WooCommerce Reviews **/
ol.comment-list {
	& .comment-body {
		position: relative;
		display: flex;
		flex-wrap: wrap;
		margin: 1em 0 0.5em;
		padding: 20px;
		border-radius: var(--border-radius);
		border: 1px solid var(--border);
		overflow: hidden;

		@media (--sm) {
			padding: 0;
		}
	}

	& .comment-meta {
		width: 100%;

		@media (--sm) {
			width: 25%;
			padding: 20px;
			background: var(--light);
		}
	}

	& .comment-author {
		@media (--sm) {
			display: flex;
			flex-direction: column;
		}

		& img {
			border-radius: 50%;

			@media (--sm) {
				margin-bottom: 10px;
			}
		}

		& .fn {
			margin-bottom: 0.5em;
			line-height: 1.5;
			overflow-wrap: anywhere;
		}

		& .says {
			display: none;
		}
	}

	& .comment-metadata {
		opacity: 0.75;

		& > a {
			display: block;
		}
	}

	& .comment-content {
		width: 100%;
		margin: 0.5em 0;
		padding-top: 0.5em;
		border-top: 1px dashed var(--border);

		@media (--sm) {
			flex: 1 1 0;
			width: auto;
			margin: 0;
			padding: 20px;
			border-top: 0;
		}
	}

	& .reply {
		@media (--sm) {
			width: 100%;
			padding: 10px;
			text-align: right;
			border-top: 1px solid var(--border);
		}

		& .comment-reply-link {
			text-decoration: underline;
		}
	}

	& .edit-link {
		display: block;
	}

	& .comment-edit-link {
		text-decoration: underline;
		font-size: 0.85rem;
	}
}

.product-reviews {
	& .reviews_bar {
		margin-top: 1em;
	}

	& .ywar_stars_value {
		color: var(--primary);
	}

	& .ywar_review_row span {
		color: var(--primary);
	}
}

#reviews_summary {
	& .woocommerce-product-rating {
		display: flex;
		margin-top: 1em;

		& .star-rating {
			width: 100px;
			height: 20px;
			position: relative;
			background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath xmlns='http://www.w3.org/2000/svg' fill='%23b3b3b3' d='M5.6 15.4L4.3 23a.8.8 0 001.1.8l6.6-3.6 6.6 3.6a.8.8 0 00.8 0c.2-.2.3-.5.3-.8l-1.3-7.7 5.4-5.5a.8.8 0 00-.4-1.3L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4.6 8.6a.7.7 0 00-.4 1.3zm3-6.5c.3 0 .5-.2.6-.4l2.8-6 2.8 6c.1.2.3.4.6.4l6.3 1-4.6 4.7c-.2.2-.3.4-.2.6l1 6.6-5.5-3a.8.8 0 00-.8 0l-5.6 3 1.1-6.6c0-.2 0-.4-.2-.6L2.3 9.9z' data-original='%23000000'/%3E%3C/svg%3E");

			& > span {
				position: absolute;
				top: 0;
				left: 0;
				height: 20px;
				background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cdefs/%3E%3Cpath fill='%23ffc107' d='M23.4 8.6L16 7.5l-3.3-7c-.3-.6-1.1-.6-1.4 0L8 7.4l-7.4 1c-.6.2-.8 1-.4 1.3l5.4 5.5-1.3 7.8c0 .6.6 1 1.1.8l6.6-3.7 6.6 3.7a.8.8 0 001-.8l-1.2-7.8 5.4-5.4a.8.8 0 00-.4-1.3z'/%3E%3C/svg%3E");
			}

			& .review-rating-value {
				visibility: hidden;
				display: inline-block;
				padding: 0;
			}
		}

		& .ywar_review_count {
			line-height: 1.25;
			margin-left: 0.5em;
		}
	}

	& .reviews_bar {
		margin-top: 1em;
	}
}
